meals = [
    ('صبح', 0),
    ('صبحانه', 0),
    ('میان وعده صبح', 1),
    ('طهر', 2),
    ('ناهار', 2),
    ('میان وعده ظهر', 3),
    ('شب', 4),
    ('شام', 4),
    ('میان وعده شب', 5),
]

time_periods = [
    ('صبح', 0),
    ('صبحانه', 1),
    ('طهر', 2),
    ('ناهار', 3),
    ('بعد از ظهر', 4),
    ('عصر', 5),
    ('عصرانه', 6),
    ('شب', 7),
    ('شام', 8),
]

approximate_times = [
    ('الان', False),
    ('دقیقا', False),
    ('دقیق', False),
    ('حدود', True),
    ('حدودا', True),
    ('حدودای', True),
]

time_offsets = [
    ('الان', 0, 0),
    ('ساعت قبل', -1, -60),
    ('دقیقه قبل', -1, -1),
    ('ساعت پیش', -1, -60),
    ('دقیقه پیش', -1, -1),
    ('ساعت دیگر', -1, 60),
    ('دقیقه دیگر', -1, 1),
    ('ساعت بعد', -1, 60),
    ('دقیقه بعد', -1, 1),
]

durations = [
    ('دقیقه', -1, 1),
    ('ساعت', -1, 60),
]

insulin = [
    ('کوتاه اثر', 0),
    ('بنلد اثر', 1),
    ('ترکیبی', 2),
    ('از پیش ترکیب', 3),
    ('جی ال پی 1', 4),
]

unit = [
    ('واحد', -1, 1),
    ('تا', -1, 1),
]

amounts = [
    ('نصف', 0.5),
    ('یک دوم', 0.5),
    ('یک سوم', 1.0/3.0),
    ('دو سوم', 2.0/3.0),
    ('یک چهارم', 1.0/4.0),
    ('دو چهارم', 2.0/4.0),
    ('سه چهارم', 3.0/4.0),
    ('یک', 1.0),
]
